package com.alibaba.druid.sql.dialect.spark.ast.expr;

import com.alibaba.druid.sql.ast.SQLLimit;
import com.alibaba.druid.sql.dialect.spark.ast.SparkSqlObject;
import com.alibaba.druid.sql.dialect.spark.visitor.SparkVisitor;

public class SparkLimit extends SQLLimit implements SparkSqlObject {
   private boolean isAll = false;

   public boolean isAll() {
      return this.isAll;
   }

   public void setAll(boolean all) {
      this.isAll = all;
   }

   public void accept0(SparkVisitor v) {
      super.accept0(v);
   }
}
